# geos::algorithm::locate::SimplePointInAreaLocator Class Reference

Computes the location of points relative to an areal Geometry, using a simple O(n) algorithm. More...

`#include <SimplePointInAreaLocator.h>`

Inheritance diagram for geos::algorithm::locate::SimplePointInAreaLocator:

List of all members.

## Public Member Functions

| SimplePointInAreaLocator (const geom::Geometry *g)
int | locate (const geom::Coordinate *p)

## Static Public Member Functions

static int | locate (const geom::Coordinate &p, const geom::Geometry *geom)
static bool | containsPointInPolygon (const geom::Coordinate &p, const geom::Polygon *poly)

## Detailed Description

Computes the location of points relative to an areal Geometry, using a simple O(n) algorithm.

This algorithm is suitable for use in cases where only one or a few points will be tested against a given area.

The algorithm used is only guaranteed to return correct results for points which are not on the boundary of the Geometry.

Version:
  1.7

## Member Function Documentation

int geos::algorithm::locate::SimplePointInAreaLocator::locate | ( | const geom::Coordinate * | p ) | `[inline, virtual]`

Determines the Location of a point in an areal Geometry.

Parameters:

  p | the point to test

Returns:
  the location of the point in the geometry

Implements geos::algorithm::locate::PointOnGeometryLocator.

The documentation for this class was generated from the following file:

- SimplePointInAreaLocator.h